{% extends 'base.html' %}
{% load i18n crispy_forms_tags %}

{% block content %}
<section class="section section-invert py-4">
    <div class="container">
        <h3 class="section-title text-center my-5">{% trans "My technologies" %}</h3>
        <div class="row">
            <div class="card-deck">
                {% for tech in licenses %}
                <div class="col-sm-12 col-md-7 d-flex">
                  <a href="{% url 'licenses:detail' tech.slug %}">
                    <div class="card">
                        <div class="card-body text-dark">
                        {% if tech.icon %}
                            <img class="card-img-top" src="{{ tech.icon.url }}" alt="{{ object.name }}">
                        {% endif %}
                        </div>
                        <div class="card-footer bg-white">
                            <h5><span class="badge badge-success">CHF {{ tech.price }}</span> {% trans "/" %} <small class="muted">{% trans "year" %}</small></h5>
                            <h3 class="card-title">{{ tech.name }}</h3>
                            <div class="float-right">
                                {% if tech.activated %}
                                    {% if tech.installed %}
                                        {% if tech.expired %}
                                            <a href="{% url 'licenses:detail' tech.slug %}" class="btn btn-pill btn-outline-warning"><i class="fas fa-check"></i></a>
                                            <a href="{% url 'licenses:configure' tech.slug %}" class="btn btn-pill btn-outline-primary">{% trans "buy license" %} <i class="far fa-credit-card"></i></a>
                                        {% else %}
                                        <a href="{% url 'licenses:detail' tech.slug %}" class="btn btn-pill btn-outline-secondary"><i class="fas fa-check"></i></a>
                                        <a href="{{ tech.configuration.domain }}/admin/" class="btn btn-pill btn-light"><i class="fas fa-ellipsis-h"></i></a>
                                        {% endif %}
                                    {% else %}
                                    <a href="{% url 'licenses:detail' tech.slug %}" class="btn btn-pill btn-outline-secondary"><i class="fas fa-check"></i></a>
                                    <a href="{% url "web_mvc_installer:install" %}" class="btn btn-pill btn-outline-primary mx-1">{% trans "Installing" %}</a>
                                    {% endif %}
                                {% else %}
                                    <a href="{% url 'licenses:detail' tech.slug %}" class="btn btn-pill btn-outline-secondary"><i class="fas fa-check"></i></a>
                                    <a href="{% url 'licenses:setup' tech.slug %}" class="btn btn-pill btn-outline-primary"><i class="fas fa-cloud-upload-alt"></i></a>
                                {% endif %}    
                            </div>
                        </div>
                    </div>
                  </a>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>    
</section>
{% endblock content %}